Bug 7896 - s3:lib/netapi: don't set SAMR_FIELD_FULL_NAME if we just want to set the account name
s3:lib/netapi: don't set SAMR_FIELD_FULL_NAME if we just want to set the acco...
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Client Tools
3.5.6
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-30 09:39 UTC by Stefan Metzmacher
Modified: 2011-01-08 10:09 UTC (History)
0 users

See Also:


Attachments
netapi fix for 3.5 (1.03 KB, patch)
2011-01-06 05:32 UTC, Guenther Deschner
gd: review+
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2010-12-30 09:39:59 UTC
currently "net rpc user rename" deletes the full name.
Comment 1 Guenther Deschner 2011-01-06 05:32:03 UTC
Created attachment 6182 [details]
netapi fix for 3.5
Comment 2 Guenther Deschner 2011-01-06 05:32:39 UTC
Comment on attachment 6182 [details]
netapi fix for 3.5

looks good
Comment 3 Guenther Deschner 2011-01-06 05:33:04 UTC
Karolin, please pick for 3.5
Comment 4 Stefan Metzmacher 2011-01-06 06:53:32 UTC
Comment on attachment 6182 [details]
netapi fix for 3.5

Looks good:-)

Is this also in 3.4?
If so we should fix it there too, as it silently deletes data
Comment 5 Guenther Deschner 2011-01-06 08:35:25 UTC
(In reply to comment #4)
> (From update of attachment 6182 [details])
> Looks good:-)
> 
> Is this also in 3.4?
> If so we should fix it there too, as it silently deletes data

Yes, patch also needs to go into 3.4

Comment 6 Karolin Seeger 2011-01-08 10:09:03 UTC
Pushed to v3-5-test and v3-4-test.
Closing out bug report.

Thanks!